PostgreSQL
All operations require authentication.
List PostgreSQL servicesBeta
Returns the PostgreSQL services of the project.
Path parameters
Project ID
Headers
Pagination cursor
Pagination size
Response
Hash of the resource used for concurrency control
Date at which the service was created
Current configuration deployed on the service
Asynchronous operations currently running on the service
Unique identifier of the service
Readiness status of the service. A new target specification is accepted only in READY status.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast requested target specification for the service
Date of the last update to the service
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedDatabase/ postgresql \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "advancedConfiguration": { "key": "string" }, "backup": { "pitr": "2024-01-01T12:00:00Z", "regions": [ "af-north-lz-rba" ], "retentionDays": 0, "time": "string" }, "capabilities": { "key": { "create": "DISABLED", "delete": "DISABLED", "read": "DISABLED", "update": "DISABLED" } }, "deletionProtected": true, "description": "string", "endpoints": [ { "component": "CLICKHOUSE", "domain": "string", "path": "string", "port": 0, "public": true, "scheme": "string", "ssl": true, "sslMode": "REQUIRE", "uri": "string" } ], "engineCapabilities": { "advancedConfigurationProperties": [ { "default": "string", "description": "string", "maximum": 0, "minimum": 0, "name": "string", "requiresRestart": true, "type": "BOOLEAN", "values": [ null ] } ], "backupRegions": [ "string" ], "categories": [ "string" ], "commands": [ "string" ], "connectors": [ { "author": "string", "configuration": [ null ], "documentationUrl": "string", "id": "00000000-0000-0000-0000-000000000000", "latest": true, "name": "string", "preview": true, "transforms": [ null ], "type": "SINK", "version": "string" } ], "integrations": [ { "destinationEngine": "CLICKHOUSE", "parameters": [ null ], "sourceEngine": "CLICKHOUSE", "type": "GRAFANA_DASHBOARD" } ] }, "flavor": "string", "maintenanceWindow": { "startTimeUtc": "string" }, "network": { "authorizedIps": { "rules": [ { "cidr": null, "createdAt": null, "description": null } ] }, "networkId": "00000000-0000-0000-0000-000000000000", "public": true, "subnetId": "00000000-0000-0000-0000-000000000000" }, "nodes": [ { "createdAt": "2024-01-01T12:00:00Z", "flavor": "string", "id": "00000000-0000-0000-0000-000000000000", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "port": 0, "role": "ANALYTICS", "status": "CREATING" } ], "nodesCount": 0, "plan": "string", "prometheusEnabled": true, "status": "CREATING", "storage": { "size": { "unit": "GB", "value": 0 }, "type": "HIGH_SPEED" }, "version": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "advancedConfiguration": { "key": "string" }, "backup": { "regions": [ "af-north-lz-rba" ], "time": "string" }, "deletionProtected": true, "description": "string", "flavor": "string", "maintenanceWindow": { "startTimeUtc": "string" }, "network": { "authorizedIps": { "rules": [ { "cidr": null, "createdAt": null, "description": null } ] }, "public": true }, "nodesCount": 0, "plan": "string", "prometheusEnabled": true, "storage": { "size": { "unit": "GB", "value": 0 } }, "version": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]
Get a PostgreSQL serviceBeta
Returns the target specification of the service, its current state and its running tasks.
Path parameters
Project ID
Service ID
Response
Hash of the resource used for concurrency control
Date at which the service was created
Current configuration deployed on the service
Asynchronous operations currently running on the service
Unique identifier of the service
Readiness status of the service. A new target specification is accepted only in READY status.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast requested target specification for the service
Date of the last update to the service
Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedDatabase/ postgresql/ {serviceId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "advancedConfiguration": { "key": "string" }, "backup": { "pitr": "2024-01-01T12:00:00Z", "regions": [ "af-north-lz-rba" ], "retentionDays": 0, "time": "string" }, "capabilities": { "key": { "create": "DISABLED", "delete": "DISABLED", "read": "DISABLED", "update": "DISABLED" } }, "deletionProtected": true, "description": "string", "endpoints": [ { "component": "CLICKHOUSE", "domain": "string", "path": "string", "port": 0, "public": true, "scheme": "string", "ssl": true, "sslMode": "REQUIRE", "uri": "string" } ], "engineCapabilities": { "advancedConfigurationProperties": [ { "default": "string", "description": "string", "maximum": 0, "minimum": 0, "name": "string", "requiresRestart": true, "type": "BOOLEAN", "values": [ "string" ] } ], "backupRegions": [ "string" ], "categories": [ "string" ], "commands": [ "string" ], "connectors": [ { "author": "string", "configuration": [ { "defaultValue": null, "description": null, "displayName": null, "group": null, "importance": null, "name": null, "required": null, "type": null, "values": null } ], "documentationUrl": "string", "id": "00000000-0000-0000-0000-000000000000", "latest": true, "name": "string", "preview": true, "transforms": [ { "description": null, "displayName": null, "name": null, "required": null, "transformType": null, "type": null, "values": null } ], "type": "SINK", "version": "string" } ], "integrations": [ { "destinationEngine": "CLICKHOUSE", "parameters": [ { "name": null, "type": null } ], "sourceEngine": "CLICKHOUSE", "type": "GRAFANA_DASHBOARD" } ] }, "flavor": "string", "maintenanceWindow": { "startTimeUtc": "string" }, "network": { "authorizedIps": { "rules": [ { "cidr": "192.0.2.0/24", "createdAt": "2024-01-01T12:00:00Z", "description": "string" } ] }, "networkId": "00000000-0000-0000-0000-000000000000", "public": true, "subnetId": "00000000-0000-0000-0000-000000000000" }, "nodes": [ { "createdAt": "2024-01-01T12:00:00Z", "flavor": "string", "id": "00000000-0000-0000-0000-000000000000", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "port": 0, "role": "ANALYTICS", "status": "CREATING" } ], "nodesCount": 0, "plan": "string", "prometheusEnabled": true, "status": "CREATING", "storage": { "size": { "unit": "GB", "value": 0 }, "type": "HIGH_SPEED" }, "version": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "advancedConfiguration": { "key": "string" }, "backup": { "regions": [ "af-north-lz-rba" ], "time": "string" }, "deletionProtected": true, "description": "string", "flavor": "string", "maintenanceWindow": { "startTimeUtc": "string" }, "network": { "authorizedIps": { "rules": [ { "cidr": "192.0.2.0/24", "createdAt": "2024-01-01T12:00:00Z", "description": "string" } ] }, "public": true }, "nodesCount": 0, "plan": "string", "prometheusEnabled": true, "storage": { "size": { "unit": "GB", "value": 0 } }, "version": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Create a PostgreSQL serviceBeta
Creates a PostgreSQL service from a plan, a flavor and an engine version. Creation is asynchronous: follow resourceStatus until READY. Set forkSourceServiceId to create it from a backup of another service.
Path parameters
Project ID
Request body (required)
Desired configuration of the new service
Response
Hash of the resource used for concurrency control
Date at which the service was created
Current configuration deployed on the service
Asynchronous operations currently running on the service
Unique identifier of the service
Readiness status of the service. A new target specification is accepted only in READY status.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast requested target specification for the service
Date of the last update to the service
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedDatabase/ postgresql \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "advancedConfiguration": { "key": "string" }, "backup": { "pitr": "2024-01-01T12:00:00Z", "regions": [ "af-north-lz-rba" ], "retentionDays": 0, "time": "string" }, "capabilities": { "key": { "create": "DISABLED", "delete": "DISABLED", "read": "DISABLED", "update": "DISABLED" } }, "deletionProtected": true, "description": "string", "endpoints": [ { "component": "CLICKHOUSE", "domain": "string", "path": "string", "port": 0, "public": true, "scheme": "string", "ssl": true, "sslMode": "REQUIRE", "uri": "string" } ], "engineCapabilities": { "advancedConfigurationProperties": [ { "default": "string", "description": "string", "maximum": 0, "minimum": 0, "name": "string", "requiresRestart": true, "type": "BOOLEAN", "values": [ "string" ] } ], "backupRegions": [ "string" ], "categories": [ "string" ], "commands": [ "string" ], "connectors": [ { "author": "string", "configuration": [ { "defaultValue": null, "description": null, "displayName": null, "group": null, "importance": null, "name": null, "required": null, "type": null, "values": null } ], "documentationUrl": "string", "id": "00000000-0000-0000-0000-000000000000", "latest": true, "name": "string", "preview": true, "transforms": [ { "description": null, "displayName": null, "name": null, "required": null, "transformType": null, "type": null, "values": null } ], "type": "SINK", "version": "string" } ], "integrations": [ { "destinationEngine": "CLICKHOUSE", "parameters": [ { "name": null, "type": null } ], "sourceEngine": "CLICKHOUSE", "type": "GRAFANA_DASHBOARD" } ] }, "flavor": "string", "maintenanceWindow": { "startTimeUtc": "string" }, "network": { "authorizedIps": { "rules": [ { "cidr": "192.0.2.0/24", "createdAt": "2024-01-01T12:00:00Z", "description": "string" } ] }, "networkId": "00000000-0000-0000-0000-000000000000", "public": true, "subnetId": "00000000-0000-0000-0000-000000000000" }, "nodes": [ { "createdAt": "2024-01-01T12:00:00Z", "flavor": "string", "id": "00000000-0000-0000-0000-000000000000", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "port": 0, "role": "ANALYTICS", "status": "CREATING" } ], "nodesCount": 0, "plan": "string", "prometheusEnabled": true, "status": "CREATING", "storage": { "size": { "unit": "GB", "value": 0 }, "type": "HIGH_SPEED" }, "version": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "advancedConfiguration": { "key": "string" }, "backup": { "regions": [ "af-north-lz-rba" ], "time": "string" }, "deletionProtected": true, "description": "string", "flavor": "string", "maintenanceWindow": { "startTimeUtc": "string" }, "network": { "authorizedIps": { "rules": [ { "cidr": "192.0.2.0/24", "createdAt": "2024-01-01T12:00:00Z", "description": "string" } ] }, "public": true }, "nodesCount": 0, "plan": "string", "prometheusEnabled": true, "storage": { "size": { "unit": "GB", "value": 0 } }, "version": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Delete a PostgreSQL serviceBeta
Deletes the service. A service with deletion protection enabled cannot be deleted.
By default, the service's backups are kept, and a last backup is taken once the service is stopped. They stay listed and can be forked until they expire, at the end of the retention configured when the service was deleted. They are billed until they expire, then deleted.
Set deleteBackups to true to delete them with the service.
Path parameters
Project ID
Service ID
Query parameters
Whether to also delete the service's backups. Defaults to false.
Response
Hash of the resource used for concurrency control
Date at which the service was created
Current configuration deployed on the service
Asynchronous operations currently running on the service
Unique identifier of the service
Readiness status of the service. A new target specification is accepted only in READY status.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast requested target specification for the service
Date of the last update to the service
Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedDatabase/ postgresql/ {serviceId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "advancedConfiguration": { "key": "string" }, "backup": { "pitr": "2024-01-01T12:00:00Z", "regions": [ "af-north-lz-rba" ], "retentionDays": 0, "time": "string" }, "capabilities": { "key": { "create": "DISABLED", "delete": "DISABLED", "read": "DISABLED", "update": "DISABLED" } }, "deletionProtected": true, "description": "string", "endpoints": [ { "component": "CLICKHOUSE", "domain": "string", "path": "string", "port": 0, "public": true, "scheme": "string", "ssl": true, "sslMode": "REQUIRE", "uri": "string" } ], "engineCapabilities": { "advancedConfigurationProperties": [ { "default": "string", "description": "string", "maximum": 0, "minimum": 0, "name": "string", "requiresRestart": true, "type": "BOOLEAN", "values": [ "string" ] } ], "backupRegions": [ "string" ], "categories": [ "string" ], "commands": [ "string" ], "connectors": [ { "author": "string", "configuration": [ { "defaultValue": null, "description": null, "displayName": null, "group": null, "importance": null, "name": null, "required": null, "type": null, "values": null } ], "documentationUrl": "string", "id": "00000000-0000-0000-0000-000000000000", "latest": true, "name": "string", "preview": true, "transforms": [ { "description": null, "displayName": null, "name": null, "required": null, "transformType": null, "type": null, "values": null } ], "type": "SINK", "version": "string" } ], "integrations": [ { "destinationEngine": "CLICKHOUSE", "parameters": [ { "name": null, "type": null } ], "sourceEngine": "CLICKHOUSE", "type": "GRAFANA_DASHBOARD" } ] }, "flavor": "string", "maintenanceWindow": { "startTimeUtc": "string" }, "network": { "authorizedIps": { "rules": [ { "cidr": "192.0.2.0/24", "createdAt": "2024-01-01T12:00:00Z", "description": "string" } ] }, "networkId": "00000000-0000-0000-0000-000000000000", "public": true, "subnetId": "00000000-0000-0000-0000-000000000000" }, "nodes": [ { "createdAt": "2024-01-01T12:00:00Z", "flavor": "string", "id": "00000000-0000-0000-0000-000000000000", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "port": 0, "role": "ANALYTICS", "status": "CREATING" } ], "nodesCount": 0, "plan": "string", "prometheusEnabled": true, "status": "CREATING", "storage": { "size": { "unit": "GB", "value": 0 }, "type": "HIGH_SPEED" }, "version": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "advancedConfiguration": { "key": "string" }, "backup": { "regions": [ "af-north-lz-rba" ], "time": "string" }, "deletionProtected": true, "description": "string", "flavor": "string", "maintenanceWindow": { "startTimeUtc": "string" }, "network": { "authorizedIps": { "rules": [ { "cidr": "192.0.2.0/24", "createdAt": "2024-01-01T12:00:00Z", "description": "string" } ] }, "public": true }, "nodesCount": 0, "plan": "string", "prometheusEnabled": true, "storage": { "size": { "unit": "GB", "value": 0 } }, "version": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Update a PostgreSQL serviceBeta
Updates the target specification of the service, for example its plan, flavor, version or number of nodes. Every field is required: the request describes the whole configuration. A new target specification is accepted only in READY status.
Path parameters
Project ID
Service ID
Request body (required)
Desired configuration of the service
Response
Hash of the resource used for concurrency control
Date at which the service was created
Current configuration deployed on the service
Asynchronous operations currently running on the service
Unique identifier of the service
Readiness status of the service. A new target specification is accepted only in READY status.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast requested target specification for the service
Date of the last update to the service
Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedDatabase/ postgresql/ {serviceId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "advancedConfiguration": { "key": "string" }, "backup": { "pitr": "2024-01-01T12:00:00Z", "regions": [ "af-north-lz-rba" ], "retentionDays": 0, "time": "string" }, "capabilities": { "key": { "create": "DISABLED", "delete": "DISABLED", "read": "DISABLED", "update": "DISABLED" } }, "deletionProtected": true, "description": "string", "endpoints": [ { "component": "CLICKHOUSE", "domain": "string", "path": "string", "port": 0, "public": true, "scheme": "string", "ssl": true, "sslMode": "REQUIRE", "uri": "string" } ], "engineCapabilities": { "advancedConfigurationProperties": [ { "default": "string", "description": "string", "maximum": 0, "minimum": 0, "name": "string", "requiresRestart": true, "type": "BOOLEAN", "values": [ "string" ] } ], "backupRegions": [ "string" ], "categories": [ "string" ], "commands": [ "string" ], "connectors": [ { "author": "string", "configuration": [ { "defaultValue": null, "description": null, "displayName": null, "group": null, "importance": null, "name": null, "required": null, "type": null, "values": null } ], "documentationUrl": "string", "id": "00000000-0000-0000-0000-000000000000", "latest": true, "name": "string", "preview": true, "transforms": [ { "description": null, "displayName": null, "name": null, "required": null, "transformType": null, "type": null, "values": null } ], "type": "SINK", "version": "string" } ], "integrations": [ { "destinationEngine": "CLICKHOUSE", "parameters": [ { "name": null, "type": null } ], "sourceEngine": "CLICKHOUSE", "type": "GRAFANA_DASHBOARD" } ] }, "flavor": "string", "maintenanceWindow": { "startTimeUtc": "string" }, "network": { "authorizedIps": { "rules": [ { "cidr": "192.0.2.0/24", "createdAt": "2024-01-01T12:00:00Z", "description": "string" } ] }, "networkId": "00000000-0000-0000-0000-000000000000", "public": true, "subnetId": "00000000-0000-0000-0000-000000000000" }, "nodes": [ { "createdAt": "2024-01-01T12:00:00Z", "flavor": "string", "id": "00000000-0000-0000-0000-000000000000", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "port": 0, "role": "ANALYTICS", "status": "CREATING" } ], "nodesCount": 0, "plan": "string", "prometheusEnabled": true, "status": "CREATING", "storage": { "size": { "unit": "GB", "value": 0 }, "type": "HIGH_SPEED" }, "version": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "advancedConfiguration": { "key": "string" }, "backup": { "regions": [ "af-north-lz-rba" ], "time": "string" }, "deletionProtected": true, "description": "string", "flavor": "string", "maintenanceWindow": { "startTimeUtc": "string" }, "network": { "authorizedIps": { "rules": [ { "cidr": "192.0.2.0/24", "createdAt": "2024-01-01T12:00:00Z", "description": "string" } ] }, "public": true }, "nodesCount": 0, "plan": "string", "prometheusEnabled": true, "storage": { "size": { "unit": "GB", "value": 0 } }, "version": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Partially update a PostgreSQL serviceBeta
Partially updates the target specification of the service, for example its plan, flavor, version or number of nodes. Omitted fields keep their current value. A new target specification is accepted only in READY status.
Path parameters
Project ID
Service ID
Request body (required)
Desired configuration of the service
Response
Hash of the resource used for concurrency control
Date at which the service was created
Current configuration deployed on the service
Asynchronous operations currently running on the service
Unique identifier of the service
Readiness status of the service. A new target specification is accepted only in READY status.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast requested target specification for the service
Date of the last update to the service
Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedDatabase/ postgresql/ {serviceId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "advancedConfiguration": { "key": "string" }, "backup": { "pitr": "2024-01-01T12:00:00Z", "regions": [ "af-north-lz-rba" ], "retentionDays": 0, "time": "string" }, "capabilities": { "key": { "create": "DISABLED", "delete": "DISABLED", "read": "DISABLED", "update": "DISABLED" } }, "deletionProtected": true, "description": "string", "endpoints": [ { "component": "CLICKHOUSE", "domain": "string", "path": "string", "port": 0, "public": true, "scheme": "string", "ssl": true, "sslMode": "REQUIRE", "uri": "string" } ], "engineCapabilities": { "advancedConfigurationProperties": [ { "default": "string", "description": "string", "maximum": 0, "minimum": 0, "name": "string", "requiresRestart": true, "type": "BOOLEAN", "values": [ "string" ] } ], "backupRegions": [ "string" ], "categories": [ "string" ], "commands": [ "string" ], "connectors": [ { "author": "string", "configuration": [ { "defaultValue": null, "description": null, "displayName": null, "group": null, "importance": null, "name": null, "required": null, "type": null, "values": null } ], "documentationUrl": "string", "id": "00000000-0000-0000-0000-000000000000", "latest": true, "name": "string", "preview": true, "transforms": [ { "description": null, "displayName": null, "name": null, "required": null, "transformType": null, "type": null, "values": null } ], "type": "SINK", "version": "string" } ], "integrations": [ { "destinationEngine": "CLICKHOUSE", "parameters": [ { "name": null, "type": null } ], "sourceEngine": "CLICKHOUSE", "type": "GRAFANA_DASHBOARD" } ] }, "flavor": "string", "maintenanceWindow": { "startTimeUtc": "string" }, "network": { "authorizedIps": { "rules": [ { "cidr": "192.0.2.0/24", "createdAt": "2024-01-01T12:00:00Z", "description": "string" } ] }, "networkId": "00000000-0000-0000-0000-000000000000", "public": true, "subnetId": "00000000-0000-0000-0000-000000000000" }, "nodes": [ { "createdAt": "2024-01-01T12:00:00Z", "flavor": "string", "id": "00000000-0000-0000-0000-000000000000", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "port": 0, "role": "ANALYTICS", "status": "CREATING" } ], "nodesCount": 0, "plan": "string", "prometheusEnabled": true, "status": "CREATING", "storage": { "size": { "unit": "GB", "value": 0 }, "type": "HIGH_SPEED" }, "version": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "advancedConfiguration": { "key": "string" }, "backup": { "regions": [ "af-north-lz-rba" ], "time": "string" }, "deletionProtected": true, "description": "string", "flavor": "string", "maintenanceWindow": { "startTimeUtc": "string" }, "network": { "authorizedIps": { "rules": [ { "cidr": "192.0.2.0/24", "createdAt": "2024-01-01T12:00:00Z", "description": "string" } ] }, "public": true }, "nodesCount": 0, "plan": "string", "prometheusEnabled": true, "storage": { "size": { "unit": "GB", "value": 0 } }, "version": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Get the TLS certificatesBeta
Returns the CA certificate, in PEM format, used to verify the connection to the service.
Path parameters
Project ID
Service ID
Response
CA certificate in PEM format used to verify the service connection
Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedDatabase/ postgresql/ {serviceId}/ certificates \
-H "authorization: Bearer $OVH_TOKEN"{ "ca": "string"}